@charset "utf-8";

* {
    margin: 0;
    padding: 0;
}

body {
    background-color: #efefef;
    overflow-x: hidden;
}

#selection-menu {
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100vw;
    height: 100vh;
    z-index: 3;
    opacity: 0;
    display: none;
}

#selection-menu.open {
    opacity: 1;
    display: flex;
    animation: openMenuBlur 0.15s linear;
    animation-fill-mode: forwards;
}

@keyframes openMenuBlur {
    0% {
        background-color: rgba(0, 0, 0, 0);
        backdrop-filter: blur(0px);
    }

    100% {
        background-color: rgba(0, 0, 0, 0.5);
        backdrop-filter: blur(1.7px);
    }
}

#selection-menu-container {
    background-color: white;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 14px;
    width: 80%;
    height: 16rem;
    gap: 20px;
    max-width: 0rem;
}

#selection-menu.open #selection-menu-container {
    animation: openMenuContainer 0.7s ease-in-out;
    animation-delay: 0.1s;
    animation-fill-mode: forwards;
}

@keyframes openMenuContainer {
    0% {
        max-width: 0;
    }

    100% {
        max-width: 35rem;
    }
}

#selection-menu.open .button,
#selection-menu-close
{
    animation: openMenuButtons 0.4s linear;
    animation-fill-mode: forwards;
}

#selection-menu.open .button:nth-of-type(1) {animation-delay: 0.9s;}
#selection-menu.open .button:nth-of-type(2) {animation-delay: 1.1s;}
#selection-menu-close {animation-delay: 1.3s;}

@keyframes openMenuButtons {
    0% {
        display:  none;
        opacity: 0;
    }

    100% {
        display: flex;
        opacity: 1;
    }
}

#selection-menu-close {
    position: absolute;
    background-image: url(../imagens/cancelar.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 50%;
    width: 2rem;
    height: 2rem;
    border-radius: 8px;
    top: 0;
    right: 0;
    transform: translate(-10px, 10px);
    opacity: 0;
}

#selection-menu-close:hover {
    background-color: lightgray;
    cursor: pointer;
}

#selection-menu-container .button {
    width: 90% !important;
    max-width: 28rem !important;
    margin: 0 !important;
    padding: 0 !important;
    opacity: 0;
}

#selection-menu-container .button-text-container {
    width: 93% !important;
}

#container {
    display: grid;
    grid-template-columns: 45% 55%;
    margin: auto;
    min-width: 1px;
    max-width: 85em;
    height: 100vh;
}

#buttons-container {
    padding-left: clamp(5px, 4vw, 5em);
    padding-bottom: 2em;
    margin-top: auto;
    margin-right: 5px;
}

#logo {
    width: 15em;
    margin-bottom: 20px;
}

#buttons-container > h1 {
    color: rgb(64, 64, 64);
    font-family: "K2D Thin", Arial, Helvetica, sans-serif;
    font-weight: 100;
    font-size: 55px;
    line-height: 55px;
    margin-bottom: 35px;
}

#buttons-container > h1 > strong {
    color: rgb(35, 35, 35);
    font-family: "Kulim Park", Arial, Helvetica, sans-serif;
}

.button {
    display: grid;
    grid-template-columns: 4.5rem auto;
    flex-direction: row;
    align-items: center;
    margin-bottom: 30px;
    width: 100%;
    border: none;
    text-decoration: none;
    text-align: start;
    color: black;
}

.button:hover {
    background-color: transparent;
    cursor: pointer;
}


.button:hover .icon-container {
    background: rgb(93, 133, 60);
}

.button:hover .icon-container img {
    transform: scale(1.1);
}

.button:hover .button-text-container {
    background-color: rgb(202, 235, 161);
}

.icon-container {
    background-image: linear-gradient(to right, rgb(135, 162, 97), rgb(96, 136, 52));
    background-color: rgba(36, 102, 21, 0.701);
    width: 4.5rem;
    height: 4.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.4s;
}

.icon-container img {
    width: 55%;
    height: 55%;
    transition: 0.4s;
}

#i-localizacao img {
    width: 65%;
    height: 65%;
}

.button-text-container {
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding-left: 15px;
    font-family: "K2D Thin", Arial, Helvetica, sans-serif;
    font-size: 16px;
    border: 2px solid rgb(123, 123, 123);
    border-left: none;
    width: 100%;
    max-width: 23.4rem;
    height: 3.4rem;
    transition: 0.4s;
}

.button:nth-of-type(2) .button-text-container {
    font-size: 16px;
}

.button-text-container > h2 > strong {
    font-family: "K2D", Arial, Helvetica, sans-serif;
}

.button-text-container > p {
    line-height: 12px;
}

#image-container {
    display: flex;
    position: relative;
    align-items: end;
}

#M {
    position: absolute;
    width: 100%;
    height: 45em;
    background-image: url(../imagens/M-Verde.svg);
    background-repeat: no-repeat;
    background-size: 45em;
    background-position-y: 4em;
    z-index: -1;

}

#michelle {
    width: 35em;
    height: 45em;
    margin-top: auto;
    object-fit: contain;
    z-index: 1;
    overflow: hidden;
    background-image: url(../imagens/links-michelle.png);
    background-position: center;
    background-size: 100%;
    background-repeat: no-repeat;
}

#circle {
    position: absolute;
    min-width: 100px;
    width: 15em;
    height: 15em;
    border-radius: 50%;
    transform: translate(13em, -21em);
    background-image: radial-gradient(circle at center, rgba(182, 164, 59, 0.419), transparent 71%);
    z-index: 2;
}

#square {
    width: 12em;
    height: 3.5em;
    position: absolute;
    border: 2px solid rgb(142, 142, 142);
    padding: 5px;
    bottom: 27em;
    z-index: -1;
    transform: translateX(3em);
}

#square-after {
    width: 12em;
    height: 3.5em;
    position: absolute;
    background-image: url(../imagens/olhos.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    bottom: 27.85em;
    z-index: 2;
    transform: translate(calc(3em + 7px), 7px);
}

@media screen and (max-width: 1010px) {
    #container {
        display: flex;
        flex-direction: column-reverse;
        height: fit-content;
        max-height: none;
        justify-content: center;
    }

    #buttons-container {
        padding-left: 0;
        padding-top: 0;
        padding: 1rem 2rem 1rem 1rem;
        margin: auto;
        text-align: center;
    }

    .button-text-container {
        height: 3.6rem;;
    }

    #logo {
        object-position: 2em;
    }

    #image-container {
        margin: auto;
        justify-content: center;
    }

    #michelle {
        width: 100vw;
        background-size: 30em;
        background-position-y: -3em;
        height: 30em;
        mask-image: linear-gradient(to top, transparent 0%, black 40%);
    }

    #M {
        width: 100vw;
        height: 40em;
        background-position: center;
        background-size: 25em;
        mask-image: linear-gradient(to top, transparent 25%, black 60%);
    }

    #circle {
        transform: translate(3em, -9em);
        z-index: 5;
    }

    #square {
        display: none;
    }

    #square-after {
        width: 10em;
        height: 3.2em;
        bottom: 0;
        background-size: 110%;
        transform: translate(calc(-6em + 7px), -14em);
    }
}